diff -Nur --exclude '*out*' seabios-0.6.0-orig/src/boot.c seabios-0.6.0/src/boot.c
--- seabios-0.6.0-orig/src/boot.c	2010-03-27 02:40:58.000000000 +0100
+++ seabios-0.6.0/src/boot.c	2010-04-18 16:13:02.000000000 +0200
@@ -431,6 +431,14 @@
 static void
 do_boot(u16 seq_nr)
 {
+    printf("After option ROMS, Total Memory: %uMB (%ukB), Base RAM: %ukB\n", (u32)GET_GLOBAL(RamSize)/1024/1024, (u32)GET_GLOBAL(RamSize)/1024, (u32)GET_BDA(mem_size_kb));
+    struct extended_bios_data_area_s *ebda = get_ebda_ptr();
+    if (ebda)
+    {
+        printf("Extended BIOS Data Area size: %u kB, segment=%x\n", (u32)ebda->size, (u32)get_ebda_seg());
+        biosusleep(2000000);
+    }
+
     if (! CONFIG_BOOT)
         panic("Boot support not compiled in.\n");
 
diff -Nur --exclude '*out*' seabios-0.6.0-orig/src/optionroms.c seabios-0.6.0/src/optionroms.c
--- seabios-0.6.0-orig/src/optionroms.c	2010-03-27 02:40:01.000000000 +0100
+++ seabios-0.6.0/src/optionroms.c	2010-04-18 16:54:44.000000000 +0200
@@ -7,6 +7,7 @@
 
 #include "bregs.h" // struct bregs
 #include "farptr.h" // FLATPTR_TO_SEG
+#include "biosvar.h" // struct bios_data_area_s
 #include "config.h" // CONFIG_*
 #include "util.h" // dprintf
 #include "pci.h" // foreachpci
@@ -474,6 +475,14 @@
 
     // Write to screen.
     printf("Starting SeaBIOS (version %s)\n\n", VERSION);
+
+    printf("Total Memory: %uMB (%ukB), Base RAM: %ukB\n", (u32)GET_GLOBAL(RamSize)/1024/1024, (u32)GET_GLOBAL(RamSize)/1024, (u32)GET_BDA(mem_size_kb));
+
+    struct extended_bios_data_area_s *ebda = get_ebda_ptr();
+    if (ebda)
+    {
+        printf("Extended BIOS Data Area size: %u kB, segment=%x\n", (u32)ebda->size, (u32)get_ebda_seg());
+    }
 }
 
 void
